/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:13pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Items\AncientCauldron.cs
Lines of code: 65
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class WheresMyCauldronQuest : BaseQuest
	{				
		public override object Title{ get{ return "Where did I put that Cauldron?"; } }
		
		public override object Description{ get{ return "This ancient cauldron looks like it might belong to one of the witches in the Wormwood. You should probably return it. There might even be a reward for finding it!"; } }
		
		public override object Refuse{ get{ return "It's probably best to return the cauldron, but for now you put it aside."; } }
		
		public override object Uncomplete{ get{ return "I'm sure the witch is probably looking for this cauldron right now."; } }
		
		public override object Complete{ get{ return "My cauldron! Where did you find it?! Hagatha took it and hid it in her house? THAT WITCH, SHE'LL PAY FOR THIS! Thanks once again. Here, take this key as a reward. It was entrusted to me by Mathilda the witch but I'm sure she won't miss it!"; } }
	
		public WheresMyCauldronQuest() : base()
		{			
			AddObjective( new DeliverObjective( typeof( AncientCauldron ) , "Ancient Cauldron", 1, typeof( Bathilda ), "Bathilda (Wormwood)", 600 ) );
			
			AddReward( new BaseReward( typeof( DerangedWitchKey ), "A haunted house key (Deranged Witch)" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class AncientCauldron : BaseQuestItem
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( WheresMyCauldronQuest )
			};} 
		}
		
		public override int Lifespan{ get{ return 3600; } }
	
		[Constructable]
		public AncientCauldron() : base( 2541 )
		{
			Name = "Ancient Cauldron (Double click for quest)";
			Hue = 2418;
		}
		
		public AncientCauldron( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Timeline \t" + "To be deleted after Halloween Event");
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
	}
}